## uwsgi-plugin-java 0.0.2

=== debian/changelog ===
uwsgi-plugin-java (0.0.2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * install uwsgi.jar
  * automate versioned jre dep
  * conflict with older binary packages
  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 12:52:49 +0100

uwsgi-plugin-java (0.0.1) experimental; urgency=medium

  [ Alexandre Rossi ]
  * initial separate packaging;
    closes: bug#1078547
    (see source package uwsgi for earlier releases)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 12:18:45 +0200
