=== debian/control ===
Source: uwsgi-plugin-java
Section: httpd
Priority: optional
Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Alexandre Rossi <niol@zincube.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-uwsgi,
 help2man,
 uwsgi-src,
 java-common,
 javahelper,
 default-jdk-headless,
Standards-Version: 4.7.0
Homepage: https://uwsgi-docs.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi-plugin-java.git
Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi-plugin-java
Rules-Requires-Root: no

Package: uwsgi-plugin-java
# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
Depends:
 openjdk-${uwsgi:jdkversion}-jre-headless,
 ${misc:Depends},
 ${shlibs:Depends},
 ${uwsgi:Depends},
Replaces:
 uwsgi-plugin-jvm-openjdk-17,
 uwsgi-plugin-jwsgi-openjdk-17,
 uwsgi-plugin-ring-openjdk-17,
 uwsgi-plugin-servlet-openjdk-17,
Conflicts:
 uwsgi-plugin-jvm-openjdk-17,
 uwsgi-plugin-jwsgi-openjdk-17,
 uwsgi-plugin-ring-openjdk-17,
 uwsgi-plugin-servlet-openjdk-17,
Description: Java plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Java plugins for uWSGI (jvm, JWSGI, Closure/Ring
 and Servlet 2.5).
