## uwsgi-plugin-java 0.0.3

=== debian/changelog ===
uwsgi-plugin-java (0.0.3) unstable; urgency=medium

  * update copyright info:
    + fix license shortname; use field License-Grant
    + use field Reference; update coverage
  * simplify architecture handling:
    we simply support all possible architectures,
    now that only one dependency constraint is involved

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 04 Feb 2025 00:44:49 +0100
