=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
 Rules-Requires-Root: no
 
 Package: uwsgi-plugin-java
-# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
+Architecture: any
 Depends:
  openjdk-${uwsgi:jdkversion}-jre-headless,
  ${misc:Depends},
