=== debian/rules ===
--- 
+++ 
@@ -12,22 +12,6 @@
 include /usr/share/java/java_defaults.mk
 export UWSGICONFIG_JVM_INCLUDES:= $(jvm_includes)
 export UWSGICONFIG_JVM_LIBPATH := $(shell realpath $(JVM_SERVER_DIR))
-
-# resolve supported architectures for arch-varying build-dependencies
-# (in maintainer mode only: uses network and messes with control file)
-ifneq (,$(DEB_MAINTAINER_MODE))
-$(shell sh debian/pkgarchs.sh default-jdk-headless > debian/ARCHS_java)
-endif
-$(eval ARCHS_java := $(shell cat debian/ARCHS_java))
-ifneq (,$(DEB_MAINTAINER_MODE))
-clean: debian/control
-debian/control::
-	perl -sgpi \
-	 -e 's/^# autogenerated:.+\n\s+\S*$$pat.*\[\K[^\]\n]*/$$list/gm;' \
-	 -e 's/^Package:.*$$pat.*\n# autogenerated:.+\nArchitecture:\s+\K[^\n]*/$$list/gm;' \
-	 -- -pat='(openjdk)' -list='$(ARCHS_java)' \
-	 -- $@
-endif
 
 %:
 	dh $@
