## uwsgi-plugin-java 0.0.4

=== debian/changelog ===
uwsgi-plugin-java (0.0.4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * correctly guess libjvm.so path on armel
  * do no require jdk to clean

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2025 21:29:08 +0100
