## uwsgi-plugin-java 0.0.4build1

=== debian/changelog ===
uwsgi-plugin-java (0.0.4build1) plucky; urgency=medium

  * Rebuild against new uwsgi 2.0.28-8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 13:42:25 +0100
