=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Alexandre Rossi <niol@zincube.net>
 Build-Depends:
  debhelper-compat (= 13),
+Build-Depends-Arch:
  dh-sequence-uwsgi,
  help2man,
  uwsgi-src,
  java-common,
- javahelper,
  default-jdk-headless,
 Standards-Version: 4.7.0
 Homepage: https://uwsgi-docs.readthedocs.io/en/latest/
