=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,19 @@
 
 PLUGINBUILDER = uwsgi --build-plugin
 
-include /usr/share/javahelper/java-vars.mk
+# find jvm includes
 include /usr/share/java/java_defaults.mk
 export UWSGICONFIG_JVM_INCLUDES:= $(jvm_includes)
-export UWSGICONFIG_JVM_LIBPATH := $(shell realpath $(JVM_SERVER_DIR))
+$(info INCLUDES is ${UWSGICONFIG_JVM_INCLUDES})
+
+# find libjvm.so path, until the fix for #1095496 provides a better way
+JAVA_HOME = $(shell realpath /usr/lib/jvm/default-java)
+JAVA_JVMLIB = $(firstword $(wildcard $(JAVA_HOME)/lib/*/libjvm.so))
+ifeq (,$(JAVA_JVMLIB))
+	$(warning Could not find libjvm.so, will not be able to link plugins)
+endif
+export UWSGICONFIG_JVM_LIBPATH := $(shell dirname $(JAVA_JVMLIB))
+$(info LIBPATH is ${UWSGICONFIG_JVM_LIBPATH})
 
 %:
 	dh $@
