## uwsgi-plugin-java 0.0.5

=== debian/changelog ===
uwsgi-plugin-java (0.0.5) unstable; urgency=medium

  [ Alexandre Rossi ]
  * fix indep-only builds

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Feb 2025 07:49:12 +0100
