=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,15 @@
 PLUGINBUILDER = uwsgi --build-plugin
 
 # find jvm includes
-include /usr/share/java/java_defaults.mk
+-include /usr/share/java/java_defaults.mk
 export UWSGICONFIG_JVM_INCLUDES:= $(jvm_includes)
 $(info INCLUDES is ${UWSGICONFIG_JVM_INCLUDES})
 
 # find libjvm.so path, until the fix for #1095496 provides a better way
-JAVA_HOME = $(shell realpath /usr/lib/jvm/default-java)
+JAVA_HOME = $(shell realpath -q /usr/lib/jvm/default-java)
 JAVA_JVMLIB = $(firstword $(wildcard $(JAVA_HOME)/lib/*/libjvm.so))
 ifeq (,$(JAVA_JVMLIB))
-	$(warning Could not find libjvm.so, will not be able to link plugins)
+    $(warning Could not find libjvm.so, will not be able to link plugins)
 endif
 export UWSGICONFIG_JVM_LIBPATH := $(shell dirname $(JAVA_JVMLIB))
 $(info LIBPATH is ${UWSGICONFIG_JVM_LIBPATH})
@@ -35,7 +35,7 @@
 .PHONY: plugins
 plugins: $(addsuffix _openjdk_plugin.so, $(UWSGI_SRCPLUGINS))
 
-override_dh_auto_build: plugins
+override_dh_auto_build-arch: plugins
 	help2man \
 		--name 'fast (pure C), self-healing, developer-friendly WSGI server' \
 		--section 1 \
