## uwsgi-plugin-java 0.0.6

=== debian/changelog ===
uwsgi-plugin-java (0.0.6) unstable; urgency=medium

  * fix FTBS with make --shuffle=reverse (Closes: #1105595)

 -- Alexandre Rossi <niol@zincube.net>  Sat, 16 Aug 2025 19:56:12 +0200
