=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Alexandre Rossi <niol@zincube.net>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-uwsgi,
 Build-Depends-Arch:
- dh-sequence-uwsgi,
  help2man,
  uwsgi-src,
  java-common,
