=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,20 @@
 %:
 	dh $@
 
-%_openjdk_plugin.so:
+UWSGI_SRCPLUGINS=jvm jwsgi ring servlet
+
+pluginsource:
 	mkdir -p $(CURDIR)/plugins
-	cp -ar /usr/src/uwsgi/plugins/$* $(CURDIR)/plugins
+	for p in $(UWSGI_SRCPLUGINS); do \
+		[ -d $(CURDIR)/plugins/$$p ] \
+				|| cp -ar /usr/src/uwsgi/plugins/$$p $(CURDIR)/plugins; \
+	done
+
+%_openjdk_plugin.so: pluginsource
 	$(PLUGINBUILDER) "$(CURDIR)/plugins/$* $*_openjdk"
 	ln -s $@ $*_plugin.so
 
-UWSGI_SRCPLUGINS=jvm jwsgi ring servlet
-.PHONY: plugins
+.PHONY: pluginsource plugins
 plugins: $(addsuffix _openjdk_plugin.so, $(UWSGI_SRCPLUGINS))
 
 override_dh_auto_build-arch: plugins
