=== debian/tests/control ===
Tests: integration
Depends: @, uwsgi-src (>= 2.0.28-1), python3-requests, default-jdk-headless,
Restrictions: allow-stderr
