## uwsgi-plugin-java 0.0.6build1

=== debian/changelog ===
uwsgi-plugin-java (0.0.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Feb 2026 23:43:02 +0100
