## uwsgi-plugin-java 0.0.6build2

=== debian/changelog ===
uwsgi-plugin-java (0.0.6build2) resolute; urgency=medium

  * No-change rebuild against java-common (LP: #2141711)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 18 Feb 2026 20:52:28 +1300
